Subject: Re: Mercurial to git converter.

From: Jakub Narebski <[email-masked]>
Date: Fri, 12 Jan 2007 20:28:37 +0100

Stelian Pop wrote:

> I switched recently from Mercurial to git for some of my projects, and
> needed a conversion tool with branch support (unlike tailor). I didn't
> find any, so I ended up writing my own one. 
> 
> hg-to-git.py can probably be greatly improved (it's a rather crude
> combination of shell and python) but it does already work quite well for
> me. Features:
>       - supports incremental conversion (keep a git repo in sync 
>         with a hg repository)
>       - supports hg branches
>       - converts hg tags 
> 
> Feel free to use it, improve it or even include it in mainline git (like
> git-svn and friends).

Thanks. Added to
  http://git.or.cz/gitwiki/InterfacesFrontendsAndTools#hg-to-git

(Perhaps you should send it as git patch adding file contrib/hg-to-git.py
or contrib/git-hgimport/hg-to-git.py ?)
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git